/**
 * editor_plugin_src.js
 *
 * Copyright 2009, Moxiecode Systems AB
 * Released under LGPL License.
 *
 * License: http://tinymce.moxiecode.com/license
 * Contributing: http://tinymce.moxiecode.com/contributing
 */

(function() {
  tinymce.create('tinymce.plugins.QuickUploadPlugin', {
    init : function(ed, url) {
      // Register commands
      ed.addCommand('mceQuickUpload', function() {
        ed.windowManager.open({
          file : url + '/upload.php',
          title:'Upload Image',
          inline : 1
        }, {
          plugin_url : url
        });
      });
      // Register buttons
      ed.addButton('quickupload', {
        title : 'Upload Image',
        image : url + '/icon.png',
        cmd : 'mceQuickUpload'
      });
    },
    getInfo : function() {
      return {
        longname : 'Simple Image Upload',
        author : 'enoyhs and yama',
        version : '0.0.2'
      };
    }
  });

  // Register plugin
  tinymce.PluginManager.add('quickupload', tinymce.plugins.QuickUploadPlugin);
})();
