<?php
$image_limit_width = '500';
$target_dir = date('Y/m');
$filename   = date('md-His');

$_ = str_replace('\\','/',__FILE__);
$base_path = substr($_,0,strpos($_,'/assets/plugins/')) . '/';
define('IN_MANAGER_MODE', true);
define('MODX_API_MODE', true);
include_once("{$base_path}index.php");
$modx->db->connect();
if($modx->getLoginUserType() !== 'manager') exit;
$modx->getSettings();
$upload_path =  $modx->config['rb_base_dir'] . 'images/' . $target_dir;
$upload_dir  =  $modx->config['rb_base_url'] . 'images/' . $target_dir;

if(!file_exists($upload_path) || !is_dir($upload_path)) mkdir_r($upload_path);

if (isset($_FILES['image']) && is_uploaded_file($_FILES['image']['tmp_name']))
{
	$extpos = strrpos($_FILES['image']['name'],'.');
	$ext = substr($_FILES['image']['name'],$extpos);
	$uid = $modx->getLoginUserID();
	$filename .= "-u{$uid}" . $ext;
	$modx->manager->modx_move_uploaded_file($_FILES['image']['tmp_name'], "{$upload_path}/{$filename}");
	
?>
<input type="text" id="src" name="src" />
<script type="text/javascript" src="../../tiny_mce_popup.js"></script>
<script>
	var ImageDialog = {
		init : function(ed)
		{
			ed.execCommand('mceInsertContent', false, 
			tinyMCEPopup.editor.dom.createHTML('img',
			{
				src : '<?php echo "{$upload_dir}/{$filename}"; ?>'
			})
			);
			
			tinyMCEPopup.editor.execCommand('mceRepaint');
			tinyMCEPopup.editor.focus();
			tinyMCEPopup.close();
		}
	}
	tinyMCEPopup.onInit.add(ImageDialog.init, ImageDialog);
</script>
<?php  } else {?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<script type="text/javascript" src="../../tiny_mce_popup.js"></script>
<script type="text/javascript" src="js/dialog.js"></script>
<link href="css/dialog.css" rel="stylesheet" type="text/css" />
<title>uploader</title>
</head>
<body>
<p>アップロード先：<?php echo $upload_dir;?>/</p>
<form name="iform" action="" method="post" enctype="multipart/form-data">
  <input id="file" accept="image/*" type="file" name="image" onchange="this.parentElement.submit()" />
</form>
</body>
</html>
<?php }

function mkdir_r($dir)
{
	if(file_exists($dir)) return false;
	if(strpos($dir, '/')!==false && !file_exists(dirname($dir)))
	{
		if (mkdir_r(dirname($dir)) === false) return false;
	}
	$rs = mkdir($dir);
	if($rs) chmod($dir, 0777);
	return $rs;
}
